﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

option {
    max-width: 600px;
    white-space: pre-wrap;
    word-wrap: break-word;
}


/***Slide control***/
#slide_control_button {
    cursor: pointer;
}

#slide_control {
    display: none;
    padding: 0px;
    margin: 0px;
    width: 200px;
    height: auto;
    padding-bottom: 10px;
    background-color: silver;
    position: absolute;
    color: #484848;
    border-radius: 10px;
    z-index: 1000;
}

#slide_control li {
    list-style:none;
}

#slide_control li:hover {
    transition: all 300ms linear;
}

#slide_control li a {
    height: 40px;
    line-height: 40px;
    display: block;
    color: #484848;
    text-decoration: none;
    font-size: 1.0em;
    padding-left: 10px;
}

#slide_control li:hover a {
    padding-left: 10px;
    color: #0768F5;
    transition: all 200ms linear;
}


/******/


.dimTextarea
{
    width:300px;
    height:200px;
}

.disabled
{
    color: red;
    padding: 10px;
}

.ck-editor__editable_inline 
{
    min-height: 400px;
}

.ctrListado
{
    cursor: text !important;
    padding: 0px !important;
    text-align:left;
    height: 22px !important;
}

.ctrListado-right
{
    text-align: right;
}

.ctrEdicion {
    cursor: text !important;
    padding: 0px !important;
    text-align: left;
    height: 22px !important;
    display:inline-block !important;
}

.ctrEdicion-right {
    text-align: right;
}

.ctrTA {
    cursor: text !important;
    padding: 0px !important;
    text-align: left;
    height: 50px !important;
    width:100% !important;
    display: inline-block !important;
}

.table-sm th, .table-sm td 
{
    margin: 5px !important;
    padding: 5px !important;
}

.ui-icon-document, .ui-icon-seek-prev, .ui-icon-seek-next, .ui-icon-document, .ui-icon-document 
{
    -ms-transform: scale(1.5); /* IE 9 */
    -webkit-transform: scale(1.5); /* Chrome, Safari, Opera */
    transform: scale(1.5);
}

.cyan 
{
    background-color:cyan;
}

#dialog-message, #dialog-confirm-borrarCliente, #alert-general, #fichaTecnica,
#dialog-confirm-borrarDocumento, #viewDocumento, #dialog-observacionesCli, #dialog-observacionesDeu,
#dialog-gestiones, #dialog-alta-gestion, #editDocumento 
{
    display: none;
}

#fichaTecnica, #viewDocumento, #editDocumento 
{
    overflow: hidden;
}

#textoDocumento 
{
    margin-left:20px;
}


/*Estilos de la factura*/
#containerFactura
{
    width:80%;
    margin:auto;
    border:1px solid silver;
}

#botoneraFactura 
{
    width: 80%;
    margin: auto;
    text-align: center;
    margin-top:20px;
}

#datosEmpresa, #datosTercero 
{
    padding: 20px !important;
}

#cpaTipos
{
    position:absolute;
    width:250px;
    height:auto;
    min-height:100px;
    border:1px solid #484848;
    border-radius:5px;
    padding:0px !important;
    background-color: #f1f1f1;


    display:none;
    z-index:9999 !important;
}

#dp h5
{
    margin-top:0px;
}


/* Estilos de eventos de calendar */
.evento 
{
    border: 1px solid black;
}
.evento:hover
{
    opacity:0.5;
}


#capaAltaDocumento, #capaAltaLinea 
{
    display: none;
}


/* Estilos formulario G.E.D.O */

#totalPuntuacion, #totalFactoresRiesgo 
{
    height: 25px;
    border: 1px solid silver;
    background-color: lightgray;
    text-align: center;
    font-weight: bold;
    color: black;
    font-size: 1.25em;
    margin: 5px;
}


.test ol li
{
    margin-top:20px;
}

.test ul li {
    list-style: none;
    margin-top: 0px;
}


@media (max-width: 1500px) 
{
    .navbar-header {
        float: none;
        overflow: auto !important;
    }

    .navbar-left, .navbar-right {
        float: none !important;
        overflow: auto !important;
    }

    .navbar-toggle {
        display: block;
        overflow: auto !important;
    }

    .navbar-collapse {
        border-top: 1px solid transparent;
        box-shadow: inset 0 1px 0 rgba(255,255,255,0.1);
        overflow: auto !important;
    }

    .navbar-fixed-top {
        top: 0;
        border-width: 0 0 1px;
        overflow: auto !important;
    }

    .navbar-collapse.collapse {
        display: none !important;
        overflow: auto !important;
    }

    .navbar-nav {
        float: none !important;
        margin-top: 7.5px;
        overflow: auto !important;
    }

        .navbar-nav > li {
            float: none;
            overflow: auto !important;
        }

            .navbar-nav > li > a {
                padding-top: 0px;
                padding-bottom: 0px;
                overflow: auto !important;
            }

    .collapse.in {
        display: block !important;
        overflow: auto !important;
    }
}

/******/

/***Slide forms***/
#slide_calculadoras_button {
    cursor: pointer;
}

#slide_calculadoras {
    display: none;
    padding: 0px;
    margin: 0px;
    width: 350px;
    height: auto;
    padding-bottom: 10px;
    background-color: silver;
    position: absolute;
    color: #484848;
    border-radius: 10px;
    z-index: 1000;
}

    #slide_calculadoras li {
        list-style: none;
    }

        #slide_calculadoras li:hover {
            transition: all 300ms linear;
        }

        #slide_calculadoras li a {
            height: 40px;
            line-height: 40px;
            display: block;
            color: #484848;
            text-decoration: none;
            font-size: 1.0em;
            padding-left: 10px;
        }

        #slide_calculadoras li:hover a {
            padding-left: 10px;
            color: #0768F5;
            transition: all 200ms linear;
        }

/******/

/***Slide alumnos***/
#slide_alumnos_button {
    cursor: pointer;
}

#slide_alumnos {
    display: none;
    padding: 0px;
    margin: 0px;
    width: 200px;
    height: auto;
    padding-bottom: 10px;
    background-color: silver;
    position: absolute;
    color: #484848;
    border-radius: 10px;
    z-index: 1000;
}

#slide_alumnos li {
    list-style: none;
}

#slide_alumnos li:hover {
    transition: all 300ms linear;
}

#slide_alumnos li a {
    height: 40px;
    line-height: 40px;
    display: block;
    color: #484848;
    text-decoration: none;
    font-size: 1.0em;
    padding-left: 10px;
}

#slide_alumnos li:hover a {
    padding-left: 10px;
    color: #0768F5;
    transition: all 200ms linear;
}

/******/

